#include <bits/stdc++.h>
using namespace std;

long long n,k,niz[10000];

void podprogram1(){

     long long resenje=0,suma=0;
     for(int  i=1;i<=n;i++){
        for(int j=i;j<=n;j++){
            suma+=niz[j];
            resenje+=suma;
        }
        suma=0;

     }
  resenje=resenje%(10000000+7);

  cout<<resenje<<endl;
}
int main(){

    cin>>n>>k;
     for(int i=1;i<=n;i++){
        cin>>niz[i];
     }

     if(k==1) podprogram1();

  return 0;
}